import React from 'react';
/**
 * The Download component opens a download dialog when the data property (dict of filename, content, and type) changes.
 */
interface DataInput {
    filename: string;
    content: any;
    isBase64?: boolean;
    isDataURL?: boolean;
    mimeType?: string;
}
interface Props {
    /**
     * The ID used to identify this component in Dash callbacks.
     */
    id: string;
    /**
     * When set, a download is invoked using a Blob.
     */
    data?: DataInput;
    /**
     * Set to true if data.content is a base64 string
     */
    isBase64?: boolean;
    /**
     * Set to true if data.content is a data url
     */
    isDataURL?: boolean;
    /**
     * Default value for mimeType.
     */
    mimeType?: string;
    /**
     * Dash-assigned callback that should be called to report property changes
     * to Dash, to make them available for callbacks.
     */
    setProps?: (value: any) => any;
}
export declare const Download: React.FC<Props>;
export {};
