import * as THREE from 'three';
import { Object3D, Quaternion, Vector3 } from 'three';
import { AnimationStyle } from './constants';
import { SceneJsonObject } from './simple-scene';
import '../CrystalToolkitScene/CrystalToolkitScene.less';
import { CameraState } from '../CameraContextProvider/camera-reducer';
export default class Scene {
    private dispatch;
    private debugDOMElement?;
    private settings;
    private renderer;
    private labelRenderer;
    scene: THREE.Scene;
    private cachedMountNodeSize;
    private camera;
    private cameraState?;
    private frameId?;
    private clickableObjects;
    private tooltipObjects;
    private objectDictionnary;
    private controls;
    private tooltipHelper;
    private axis;
    private axisJson;
    private inset;
    private inletPosition;
    private objectBuilder;
    private clickCallback;
    private debugHelper;
    private readonly raycaster;
    private outline;
    private selectedJsonObjects;
    private outlineScene;
    private threeUUIDTojsonObject;
    private computeIdToThree;
    private isMultiSelectionEnabled;
    private registry;
    private clock;
    private animationHelper;
    private cacheMountBBox;
    private determineSceneRenderer;
    private configureSceneRenderer;
    private configureLabelRenderer;
    mouseMoveListener: (e: any) => void;
    clickListener: (e: any) => void;
    private configureScene;
    private configureControls;
    private readonly mouseTrackballUpdate;
    updateCamera(position: Vector3, rotation?: Quaternion, zoom?: number): void;
    private onClickImplementation;
    private addClonedObject;
    updateAnimationStyle(animationStyle: AnimationStyle): void;
    private readonly windowListener;
    constructor(sceneJson: any, domElement: Element, settings: any, size: any, padding: any, clickCallback: any, dispatch: (p: Vector3, r: Quaternion, zoom: number) => void, debugDOMElement?: any, cameraState?: CameraState);
    updateInsetSettings(inletSize: number, inletPadding: number, axisView: any): void;
    resizeRendererToDisplaySize(): void;
    addToScene(sceneJson: SceneJsonObject, bypassRendering?: boolean): void;
    private setupCamera;
    makeObject(object_json: any): THREE.Object3D;
    start(): void;
    stop(): void;
    animate(): void;
    renderScene(): void;
    private renderInlet;
    toggleVisibility(namesToVisibility: {
        [objectName: string]: boolean;
    }): void;
    getClickedReference(clientX: number, clientY: number, objectsToCheck: Object3D[]): {
        point: any;
        object: {
            sceneObject: any;
            jsonObject: any;
        } | null;
    } | null | undefined;
    getParentObject(object: Object3D): {
        sceneObject: Object3D;
        jsonObject: any;
    } | null;
    enableDebug(debugEnabled: boolean, node: any): void;
    removeListener(): void;
    onDestroy(): void;
    removeObjectByName(name: string): void;
    private getHelper;
    private getInletOrigin;
    private configurePostProcessing;
    findObjectByUUID(uuid: string): {
        threeObject: any;
        jsonObject: any;
    };
    refreshOutline(): void;
    updateTime(time: number): void;
}
