import { JSON3DObject, ThreePosition } from './constants';
export interface SceneJsonObject {
    name?: string;
    contents?: SceneJsonObject[];
    type?: JSON3DObject;
    clickable?: boolean;
    color?: string;
    radius?: number;
    visible?: boolean;
    origin?: ThreePosition;
    positions?: ThreePosition[];
    headLength?: number;
    headWidth?: number;
    tooltip?: string;
    scale?: ThreePosition[];
    positionPairs?: Array<ThreePosition[]>;
    keyframes?: number[];
    animate?: any[];
    id?: string;
}
export declare const s4: {
    name: string;
    contents: ({
        name: string;
        contents: ({
            positions: number[][];
            color: string;
            radius: number;
            type: string;
            scale: number[];
            clickable: boolean;
        } | {
            positions: number[][];
            color: string;
            radius: number;
            type: string;
            clickable: boolean;
            scale?: undefined;
        })[];
        origin: number[];
        visible: boolean;
    } | {
        name: string;
        contents: ({
            positionPairs: number[][][];
            color: string;
            radius: number;
            type: string;
            clickable: boolean;
            animate?: undefined;
            keyframes?: undefined;
        } | {
            positionPairs: number[][][];
            animate: (number | number[])[][];
            keyframes: number[];
            color: string;
            radius: number;
            type: string;
            clickable: boolean;
        })[];
        origin: number[];
        visible: boolean;
    } | {
        name: string;
        contents: {
            name: string;
            contents: {
                positions: number[][];
                type: string;
                clickable: boolean;
            }[];
            visible: boolean;
        }[];
        origin: number[];
        visible: boolean;
    } | {
        name: string;
        contents: ({
            positionPairs: number[][][];
            color: string;
            radius: number;
            headLength: number;
            headWidth: number;
            type: string;
            clickable: boolean;
            positions?: undefined;
        } | {
            positions: number[][];
            color: string;
            radius: number;
            type: string;
            clickable: boolean;
            positionPairs?: undefined;
            headLength?: undefined;
            headWidth?: undefined;
        })[];
        visible: boolean;
        origin?: undefined;
    })[];
    origin: number[];
    visible: boolean;
};
export declare const s2: {
    name: string;
    contents: ({
        name: string;
        clickable: boolean;
        contents: ({
            positions: number[][];
            color: string;
            radius: number;
            tooltip: string;
            type: string;
            clickable: boolean;
            animate: number[][];
            keyframes: number[];
        } | {
            positions: number[][];
            color: string;
            radius: number;
            type: string;
            tooltip: string;
            clickable: boolean;
            animate: number[];
            keyframes: number[];
        })[];
        origin: number[];
        visible: boolean;
        tooltip?: undefined;
    } | {
        name: string;
        contents: {
            positionPairs: number[][][];
            animate: (number | number[])[][];
            keyframes: number[];
            color: string;
            tooltip: string;
            radius: number;
            type: string;
            clickable: boolean;
        }[];
        origin: number[];
        visible: boolean;
        clickable?: undefined;
        tooltip?: undefined;
    } | {
        name: string;
        contents: {
            positions: number[][];
            width: number;
            color: string;
            type: string;
            animate: number[];
            tooltip: string;
            keyframes: number[];
        }[];
        clickable?: undefined;
        origin?: undefined;
        visible?: undefined;
        tooltip?: undefined;
    } | {
        name: string;
        contents: {
            positions: number[][];
            animate: (number | number[])[][];
            keyframes: number[];
            color: string;
            type: string;
        }[];
        origin: number[];
        tooltip: string;
        visible: boolean;
        clickable?: undefined;
    } | {
        name: string;
        contents: {
            name: string;
            contents: {
                positions: number[][];
                animate: number[][];
                keyframes: number[];
                type: string;
            }[];
            visible: boolean;
        }[];
        origin: number[];
        visible: boolean;
        clickable?: undefined;
        tooltip?: undefined;
    } | {
        name: string;
        contents: ({
            positionPairs: number[][][];
            color: string;
            radius: number;
            headLength: number;
            headWidth: number;
            type: string;
            clickable: boolean;
            positions?: undefined;
        } | {
            positions: number[][];
            color: string;
            radius: number;
            type: string;
            clickable: boolean;
            positionPairs?: undefined;
            headLength?: undefined;
            headWidth?: undefined;
        })[];
        visible: boolean;
        clickable?: undefined;
        origin?: undefined;
        tooltip?: undefined;
    })[];
    origin: number[];
    visible: boolean;
};
export declare const s3: {
    name: string;
    contents: ({
        name: string;
        contents: {
            positionPairs: number[][][];
            animate: (number | number[])[][];
            keyframes: number[];
            color: string;
            tooltip: string;
            radius: number;
            type: string;
            clickable: boolean;
        }[];
        origin: number[];
        visible: boolean;
        tooltip?: undefined;
    } | {
        name: string;
        contents: {
            positions: number[][];
            width: number;
            color: string;
            type: string;
            animate: number[];
            tooltip: string;
            keyframes: number[];
        }[];
        origin?: undefined;
        visible?: undefined;
        tooltip?: undefined;
    } | {
        name: string;
        contents: {
            positions: number[][];
            animate: (number | number[])[][];
            keyframes: number[];
            color: string;
            type: string;
        }[];
        origin: number[];
        tooltip: string;
        visible: boolean;
    } | {
        name: string;
        contents: {
            name: string;
            contents: {
                positions: number[][];
                animate: number[][];
                keyframes: number[];
                type: string;
            }[];
            visible: boolean;
        }[];
        origin: number[];
        visible: boolean;
        tooltip?: undefined;
    } | {
        name: string;
        contents: ({
            positionPairs: number[][][];
            color: string;
            radius: number;
            headLength: number;
            headWidth: number;
            type: string;
            clickable: boolean;
            positions?: undefined;
        } | {
            positions: number[][];
            color: string;
            radius: number;
            type: string;
            clickable: boolean;
            positionPairs?: undefined;
            headLength?: undefined;
            headWidth?: undefined;
        })[];
        visible: boolean;
        origin?: undefined;
        tooltip?: undefined;
    })[];
    origin: number[];
    visible: boolean;
};
export declare const scene: {
    name: string;
    contents: {
        name: string;
        contents: ({
            positionPairs: number[][][];
            color: string;
            radius: number;
            headLength: number;
            headWidth: number;
            type: string;
            clickable: boolean;
            positions?: undefined;
        } | {
            positions: number[][];
            color: string;
            radius: number;
            type: string;
            clickable: boolean;
            positionPairs?: undefined;
            headLength?: undefined;
            headWidth?: undefined;
        })[];
        origin: number[];
    }[];
    origin: number[];
};
export declare const shperes: {
    name: string;
    contents: {
        name: string;
        contents: ({
            name: string;
            contents: ({
                positionPairs: number[][][];
                color: string;
                radius: number;
                headLength: number;
                headWidth: number;
                type: string;
                clickable: boolean;
                positions?: undefined;
            } | {
                positions: number[][];
                color: string;
                radius: number;
                type: string;
                clickable: boolean;
                positionPairs?: undefined;
                headLength?: undefined;
                headWidth?: undefined;
            })[];
            visible: boolean;
            positions?: undefined;
            clickable?: undefined;
            color?: undefined;
            radius?: undefined;
            type?: undefined;
        } | {
            positions: number[][];
            clickable: boolean;
            color: string;
            radius: number[];
            type: string;
            name?: undefined;
            contents?: undefined;
            visible?: undefined;
        } | {
            positions: number[][];
            color: string;
            radius: number[];
            type: string;
            name?: undefined;
            contents?: undefined;
            visible?: undefined;
            clickable?: undefined;
        })[];
        origin: number[];
    }[];
    origin: number[];
};
export declare const buggyScene: {
    name: string;
    contents: {
        name: string;
        contents: {
            positions: number[][];
            color: string;
            radius: number[];
            type: string;
        }[];
        origin: number[];
    }[];
    origin: number[];
};
export declare const s5: {
    name: string;
    contents: ({
        name: string;
        contents: {
            positions: number[][];
            color: string;
            radius: number;
            type: string;
            tooltip: string;
            clickable: boolean;
        }[];
        origin: number[];
        visible: boolean;
    } | {
        name: string;
        contents: ({
            positionPairs: number[][][];
            color: string;
            radius: number;
            radiusTop: number;
            radiusBottom: number;
            type: string;
            tooltip: string;
            clickable: boolean;
        } | {
            positionPairs: number[][][];
            color: string;
            radius: number;
            radiusTop: number[];
            radiusBottom: number[];
            type: string;
            clickable: boolean;
            tooltip?: undefined;
        })[];
        origin: number[];
        visible: boolean;
    } | {
        name: string;
        contents: {
            name: string;
            contents: {
                positions: number[][];
                type: string;
                clickable: boolean;
            }[];
            visible: boolean;
        }[];
        origin: number[];
        visible: boolean;
    } | {
        name: string;
        contents: ({
            positionPairs: number[][][];
            color: string;
            radius: number;
            headLength: number;
            headWidth: number;
            type: string;
            clickable: boolean;
            positions?: undefined;
        } | {
            positions: number[][];
            color: string;
            radius: number;
            type: string;
            clickable: boolean;
            positionPairs?: undefined;
            headLength?: undefined;
            headWidth?: undefined;
        })[];
        visible: boolean;
        origin?: undefined;
    })[];
    origin: number[];
    visible: boolean;
};
