import * as THREE from 'three';
import { Object3D } from 'three';
import { ThreePosition } from './constants';
export declare const DEFAULT_DASHED_LINE_COLOR = "#000000";
export declare const DEFAULT_LINE_COLOR = "#2c3c54";
export declare const DEFAULT_MATERIAL_COLOR = "#52afb0";
/**
 *
 *  This class builds Three.js object.
 *
 *  TODO: implements lights/camera
 *
 */
export declare class ThreeBuilder {
    private settings;
    constructor(settings: any);
    private validateRadiusArrays;
    makeBezierTube(object_json: any, obj: THREE.Object3D): any;
    makeCylinders(object_json: any, obj: THREE.Object3D): any;
    makeLine(object_json: any, obj: THREE.Object3D): any;
    makeCube(object_json: any, obj: THREE.Object3D): any;
    makeSurfaces(object_json: any, obj: THREE.Object3D): any;
    makeConvex(object_json: any, obj: THREE.Object3D): any;
    getHeadGeometry(headWidth: number, headLength: number): THREE.ConeBufferGeometry;
    getCylinderGeometry(radius: number, radiusTop?: number, radiusBottom?: number): THREE.CylinderBufferGeometry;
    makeArrow(object_json: any, obj: THREE.Object3D): any;
    makeMaterial(color?: string, animated?: boolean, opacity?: number): any;
    makeSphere(object_json: any, obj: THREE.Object3D): any;
    makeLabel(object_json: any, obj: THREE.Object3D): any;
    makeEllipsoids(object_json: any, obj: THREE.Object3D): any;
    makeObject(object_json: any, obj: THREE.Object3D): THREE.Object3D;
    getSphereGeometry(radius: number, phiStart: number, phiEnd: number): any;
    private getSphereBuffer;
    makeLights(light_json: any): Object3D;
    makeLightsHelper(lights: THREE.Light[]): Object3D;
    updateSphereCenter(obj: THREE.Object3D, baseJsonObject: any, newPosition: ThreePosition, index: any): void;
    updateSphereColor(obj: THREE.Object3D, baseJsonObject: any, newColor: any): void;
    updateConvexColor(obj: any, objjson: any, color: any): void;
    updateConvexEdges(obj: any, objjson: any, positions: any): void;
    updateSphereRadius(obj: THREE.Object3D, baseJsonObject: any, newRadius: any): void;
    updateHeadWidth(obj: THREE.Object3D, baseJsonObject: any, headWidth: any): void;
    updateHeadLength(obj: THREE.Object3D, baseJsonObject: any, headLength: any): void;
    updateArrowColor(obj: THREE.Object3D, baseJsonObject: any, color: any): void;
    updateArrowRadius(obj: THREE.Object3D, baseJsonObject: any, radius: any): void;
    updateArrowpositionPair(baseJsonObject: any, newScale: any): void;
    updateLineSegments(obj: THREE.Object3D, object_json: any, positions: any): void;
    updateLineStyle(obj: THREE.Object3D, object_json: any, color: any, lineWidth: any, scale: any, dashSize: any, gapSize: any): void;
    updateScale(baseJsonObject: any, newScale: any): void;
    updateCylinderPositionPair(obj: THREE.Object3D, baseJsonObject: any, newPositionPair: any, index: any): void;
    getCylinderInfo(positionPair: any): {
        scale: any;
        position: any[];
        quaternion: any;
    };
    updateCylinderRadius(obj: THREE.Object3D, baseJsonObject: any, newRadius: any): void;
    updateCylinderColor(obj: THREE.Object3D, baseJsonObject: any, newColor: any): void;
}
export declare function getSceneWithBackground(settings: any): any;
