import * as THREE from 'three';
export declare function disposeSceneHierarchy(scene: any): void;
export declare function getThreeScreenCoordinate(size: any, clientX: number, clientY: number): any;
export declare function getScreenCoordinate(size: any, point: THREE.Vector3, camera: THREE.Camera): any;
export declare function moveAndUnprojectPoint(size: any, point: THREE.Vector3, camera: any, delta?: any): any;
export interface Action<T, P> {
    type: T;
    payload: P;
}
export declare class ObjectRegistry {
    private objectRegistry;
    clear(): void;
    addToObjectRegisty(o: THREE.Object3D): void;
    deleteObject(o: THREE.Object3D): void;
    registryHasObject(o: THREE.Object3D): boolean;
    getObjectFromRegistry(uuid: string): THREE.Object3D;
}
/**
 * Takes an array of arrays and merges the inner arrays into a single array.
 * This is a scalable alternative to [].concat.apply([], arr)
 */
export declare function mergeInnerArrays(arr: Array<any>): Array<any>;
