import React from 'react';
import { Column } from '../../SearchUI/types';
interface ColumnsMenuProps {
    /**
     * The ID used to identify this component in Dash callbacks
     */
    id?: string;
    /**
     * Class name(s) to append to the component's default class (`mpc-data-block`)
     */
    className?: string;
    /**
     * An array of column definition objects to control how keys/values are rendered in the data block.
     * See `Column` documentation for specifics on how to construct `Column` objects.
     * If no column definitions are supplied, the key names are used as labels and the values are rendered
     * without any formatting.
     */
    columns: Column[];
    setColumns: (columns: Column[]) => any;
}
/**
 * Component for displaying a single row (object) of data in a card-like block.
 * Blocks have a top section that displays data horizontally and an optional collapsible bottom
 * section that displays data vertically.
 */
export declare const ColumnsMenu: React.FC<ColumnsMenuProps>;
export {};
