import React from 'react';
interface DrawerState {
    activeDrawer: string | null;
    setActiveDrawer: (value: any) => any;
}
/**
 * Wrap a `DrawerTrigger` component and a `Drawer` component inside a `DrawerContextProvider` to render an element (trigger) that
 * will open up a modal. Apply props to the `DrawerContextProvider`.
 */
export declare const DrawerContextProvider: React.FC;
/**
 * Custom hook for consuming the DrawerContext
 * Must only be used by child components of DrawerContextProvider
 */
export declare const useDrawerContext: () => DrawerState;
export {};
