import React from 'react';
export interface FormulaProps {
    /**
     * The ID used to identify this component in Dash callbacks
     */
    id?: string;
    /**
     * Dash-assigned callback that should be called whenever any of the
     * properties change
     */
    setProps?: (value: any) => any;
    /**
     * Class name(s) to append to the component's default class (`mpc-formula`)
     */
    className?: string;
    /**
     * Formula string to format
     */
    children: string;
}
/**
 * Render a formula string with proper subscripts
 */
export declare const Formula: React.FC<FormulaProps>;
