import React from 'react';
import './Modal.css';
export interface ModalProps {
    /**
     * The ID used to identify this component in Dash callbacks
     */
    id?: string;
    /**
     * Dash-assigned callback that should be called whenever any of the
     * properties change
     */
    setProps?: (value: any) => any;
    /**
     * Class name applied to modal content div.
     * The "mpc-modal" and "modal" classes are added automatically
     */
    className?: string;
}
/**
 * Render modal that can be opened by a ModalTrigger within its same ModalContextProvider
 */
export declare const Modal: React.FC<ModalProps>;
