import React from 'react';
import { SearchContextValue, SearchState } from '../types';
/**
 * Component that wraps all of its children in providers for SearchUIContext and SearchUIContextActions
 * Accepts the same props as SearchUI and uses them to build the context state
 */
export declare const MatscholarSearchUIContextProvider: React.FC<SearchState>;
/**
 * Custom hook for consuming the SearchUIContext
 * Must only be used by child components of SearchUIContextProvider
 * The context returns one property called "state"
 */
export declare const useSearchUIContext: () => SearchContextValue;
/**
 * Custom hook for consuming the SearchUIContextActions
 * Must only be used by child components of SearchUIContextProvider
 * The context returns one property called "actions"
 */
export declare const useSearchUIContextActions: () => any;
