import React from 'react';
/**
 * Component for rendering and filtering a list of citations in bibjson or crossref format
 * Expects bibjson in the format output by the bibtexparser library (https://bibtexparser.readthedocs.io/en/v1.1.0/tutorial.html#)
 * Expects crossref in the format returned by the Crossref API
 */
interface Props {
    id?: string;
    setProps?: (value: any) => any;
    className?: string;
    sortValues: any[];
    setSortValues?: (value: any) => any;
    sortOptions: DropdownItem[];
    sortField?: string;
    setSortField: (value: any) => any;
    sortAscending?: boolean;
    setSortAscending: (value: any) => any;
    sortFn?: (field: string, asc: boolean) => any;
}
export interface DropdownItem {
    label: string;
    value: string;
}
export declare const SortDropdown: React.FC<Props>;
export {};
