import React from 'react';
import './Select.css';
export interface SelectOption {
    label: string;
    value: any;
}
export interface SelectProps {
    [id: string]: any;
    onChange?: (value: any) => any;
    /**
     * Allow an object of arbitrary props to also
     * be added to the react-select component.
     *
     * This is workaround to let the Dash component
     * version of this component accept extra props
     * supported by react-select without the need to explicitly
     * define those props in the component's propTypes.
     */
    arbitraryProps?: object;
    /**
     * Dash-assigned callback that should be called whenever any of the
     * properties change
     */
    setProps?: (value: any) => any;
    /**
     * The current or initial selected value.
     * This can be the raw value or a full option object.
     */
    value?: any;
    /**
     * List of options to display in the dropdown.
     * Each option should be an object with a `label` and a `value`.
     */
    options: SelectOption[];
}
/**
 * Wrapper component for react-select.
 * Automatically adds the wrapper class "react-select-container"
 * and the class prefix "react-select-" to all the elements created by react-select.
 */
export declare const Select: React.FC<SelectProps>;
