import { Quaternion, Vector3 } from 'three';
import { Action } from '../utils';
export interface CameraState {
    quaternion?: Quaternion;
    position?: Vector3;
    zoom?: number;
    /**
     * The id of the scene component that most recently set
     * the camera state values.
     * e.g. "1"
     */
    setByComponentId?: string;
    /**
     * whether to follow the camera
     * (what does this mean?)
     */
    following?: boolean;
}
export interface CameraActionPayload {
    quaternion?: Quaternion;
    position?: Vector3;
    zoom?: number;
    /**
     * The id of the component that is initiating
     * the camera change. Sets the state value for setByComponentId.
     * e.g. "1"
     */
    componentId?: string;
    following?: boolean;
}
export declare enum CameraReducerAction {
    NEW_POSITION = "follow_camera",
    STOP_FOLLOWING = "stop_following",
    START_FOLLOWING = "start_following"
}
export declare const initialState: {
    following: boolean;
};
export declare function cameraReducer(state: CameraState, { type, payload }: Action<CameraReducerAction, CameraActionPayload>): CameraState;
