import * as THREE from 'three';
import { ThreeBuilder } from './three_builder';
import { ThreePosition } from './constants';
export declare enum ScenePosition {
    NW = "NW",
    NE = "NE",
    SE = "SE",
    SW = "SW",
    HIDDEN = "HIDDEN"
}
export declare class InsetHelper {
    private detailedObject;
    private axisJson;
    private origin;
    private cameraToFollow;
    private threebuilder;
    private insetWidth;
    private insetHeight;
    private insetPadding;
    private insetCamera;
    private frontRotation;
    private axisPadding;
    private scene;
    helper: any;
    private axis;
    constructor(detailedObject: THREE.Object3D, axisJson: any, baseScene: THREE.Scene, origin: ThreePosition, cameraToFollow: THREE.Camera, threebuilder: ThreeBuilder, insetWidth?: number, insetHeight?: number, insetPadding?: number);
    private setup;
    setAxis(axis: any, axisJson: any): void;
    makeObject(object_json: any): any;
    updateViewportsize(size: number, padding: number): void;
    showObject(selection: THREE.Object3D[]): void;
    showAxis(): void;
    updateSelectedObject(object: THREE.Object3D, objectJson: any): void;
    render(renderer: any, [x, y]: [number, number]): void;
    getPadding(): number;
    getSize(): number;
    onDestroy(): void;
    private rescaleAxis;
}
