import React, { Dispatch, SetStateAction } from 'react';
import './Enlargeable.css';
export interface EnlargeableProps {
    /**
     * The ID used to identify this component in Dash callbacks.
     */
    id?: string;
    /**
     * Dash-assigned callback that should be called to report property changes
     * to Dash, to make them available for callbacks.
     */
    setProps?: (value: any) => any;
    /**
     * Additional class to apply to the modal-content element
     */
    className?: string;
    expanded?: boolean;
    setExpanded?: Dispatch<SetStateAction<boolean>>;
    hideButton?: boolean;
}
/**
 * Wrap around a content or a component to enable that content to be enlarged in a full screen modal.
 */
export declare const Enlargeable: React.FC<EnlargeableProps>;
