/// <reference types="react" />
import PropTypes, { InferProps } from 'prop-types';
export declare function JsonView(props: InferProps<typeof JsonView.propTypes>): JSX.Element;
export declare namespace JsonView {
    var propTypes: {
        type: PropTypes.Requireable<string>;
        src: PropTypes.Requireable<object>;
        name: PropTypes.Requireable<string | boolean>;
        theme: PropTypes.Requireable<string>;
        style: PropTypes.Requireable<object>;
        iconStyle: PropTypes.Requireable<string>;
        indentWidth: PropTypes.Requireable<number>;
        collapsed: PropTypes.Requireable<number | boolean>;
        collapseStringsAfterLength: PropTypes.Requireable<number | boolean>;
        groupArraysAfterLength: PropTypes.Requireable<number>;
        enableClipboard: PropTypes.Requireable<boolean>;
        displayObjectSize: PropTypes.Requireable<boolean>;
        displayDataTypes: PropTypes.Requireable<boolean>;
        defaultValue: PropTypes.Requireable<object>;
        sortKeys: PropTypes.Requireable<boolean>;
        validationMessage: PropTypes.Requireable<string>;
    };
    var defaultProps: {
        src: null;
        name: boolean;
        theme: string;
        style: {};
        iconStyle: string;
        indentWidth: number;
        collapsed: boolean;
        collapseStringsAfterLength: boolean;
        groupArraysAfterLength: number;
        enableClipboard: boolean;
        displayObjectSize: boolean;
        displayDataTypes: boolean;
        defaultValue: null;
        sortKeys: boolean;
        validationMessage: string;
    };
}
