import React from 'react';
import './FilterField.css';
interface FilterFieldProps {
    id?: string;
    className?: string;
    /**
     * Label to display above the filter component
     */
    label?: string;
    /**
     * Tooltip to show when hovering over the filter label
     */
    tooltip?: string;
    /**
     * Units used in this filter
     */
    units?: string;
    /**
     * List of DOIs to display as compact publication buttons next to the label.
     * Use this for filters that need to cite specific publications.
     */
    dois?: string[];
    /**
     * Control whether the filter appears to be active
     */
    active?: boolean;
    resetFilter?: (id: any) => any;
}
/**
 * Common wrapper for filters/inputs and their labels
 */
export declare const FilterField: React.FC<FilterFieldProps>;
export {};
