import React from 'react';
import { MaterialsInputSharedProps } from '../MaterialsInput';
/**
 * The text input component of a MaterialsInput component
 * Handles the two-way binding between input and periodic table
 */
interface Props extends MaterialsInputSharedProps {
    value: string;
    setValue: (value: string) => void;
    setError: (error: string | null) => void;
    liftInputRef?: (value: React.RefObject<HTMLInputElement>) => any;
    onFocus?: (value?: any) => any;
    onBlur?: (event: React.FocusEvent<HTMLInputElement>) => any;
    onKeyDown?: (event: React.KeyboardEvent<HTMLInputElement>) => any;
}
export declare const MaterialsInputBox: React.FC<Props>;
export {};
