/// <reference types="react" />
import { TableSelectionStyle } from './periodic-table-state/table-store';
import { TableLayout } from './periodic-table-component/periodic-table.component';
export interface SelectableTableProps {
    className?: string;
    /** array of enabled elements, e.g : ['H', 'O'] */
    enabledElements?: string[];
    /** array of disabled elements, e.g : ['H', 'O'] */
    disabledElements?: string[];
    /** array of hidden elements, e.g : ['H', 'O'] */
    hiddenElements?: string[];
    /** prevent user to select more than N elements */
    maxElementSelectable: number;
    /** callback called with an array of selected elements */
    onStateChange?: (selected: string[]) => void;
    /** whether to force a particular layout */
    forceTableLayout?: TableLayout;
    /** whether to forward non-managed changes */
    forwardOuterChange?: boolean;
    /** component to be plugged into the top spacer */
    plugin?: JSX.Element;
    children?: any;
    /** toggle disabling all table components */
    disabled?: boolean;
}
export declare function SelectableTable(props: SelectableTableProps): JSX.Element;
export declare const useElementsWithState: (props: SelectableTableProps) => {
    tableStateStore: {
        init: (initialState?: import("./periodic-table-state/table-store").State) => void;
        selectionStyle: TableSelectionStyle;
        currentElementIndex: number;
        selectedElements: any;
        setForwardChange: (fwdChange: any) => any;
        setEnabledElements: (enabledElements: any) => void;
        setDisabledElements: (disabledElements: any) => void;
        clear: () => void;
        setDetailedElement: (el: string | null) => void;
        setHiddenElements: (hiddenElements: any) => void;
        addEnabledElement: (enabledElement: string) => void;
        toggleDisabledElement: (disabledElement: string) => void;
        addDisabledElement: (disabledElement: string) => void;
        removeEnabledElement: (enabledElement: string) => void;
        removeDisabledElement: (disabledElement: string) => void;
        toggleEnabledElement: (enabledElement: string) => void;
        setMaxSelectionLimit: (maxItem: number) => void;
    };
    enabledEls: {};
    disabledEls: {};
    hiddenEls: {};
};
