export declare const usePrevious: (value: any) => undefined;
/**
 * A useEffect hook that debounces the value by a given delay
 * Values are only checked once per delay interval
 */
export declare const useDebounce: (value: any, delay: any) => any;
/**
 * Same as useDebounce except the the value is deep compared to its previous
 * The value supplied to this hook must be an object or array of objects
 */
export declare const useDeepCompareDebounce: (value: any, delay: any) => any;
/**
 * A custom hook that builds on useLocation to parse
 * the url query string for you.
 */
export declare const useQuery: () => URLSearchParams;
