import { Column } from '../components/data-display/SearchUI/types';
/**
 * Get the corresponding value for a row object given a selector string.
 * Can select values from keys nested up to 4 levels.
 * @param selector string that corresponds to a key or nested group of keys (e.g. 'data.a.b.c.d') in an object.
 * @param row object that has the key(s) specified in selector
 */
export declare const getRowValueFromSelectorString: (selector: string, row: any) => any;
/**
 * Initialize columns with their proper format function
 * The "format" prop should initially be one of the ColumnFormat strings
 * which maps to one of the format (or cell) functions defined here.
 * FIXED_DECIMAL and SIGNIFICANT_FIGURES both expect another column property "formatArg"
 * that will specify how many decimals or figures to apply to the format.
 */
export declare const initColumns: (columns: Column[], disableRichColumnHeaders?: boolean | undefined) => Column[];
export declare const getColumnsFromKeys: (data: object) => Column[];
