export declare const MatgenUtilities: {
    orderByElectronegativity: (elements: any[], data: any) => any[];
    isNumber: (tok: any) => boolean;
    isCloseParens: (tok: any) => boolean;
    isElement: (elm: any, data?: string[]) => boolean;
    parseElNumList: (states: any) => {};
    insertOnes: (tokens: any) => any;
    tokenize: (formula: any) => any;
    parseUnitcellFormula: (formulaString: string) => any;
    isValidWildcard: (string: any) => any;
    /**
     * Parses a chemical formula and returned a normalized sanitized formula.
     *
     * @param {string} formula A chemical formula.
     *
     * @return {hash} A hash containing [ elements, sanitized_formula ]. For
     *    example, Li4Fe4P4O16 will return [ ['Li', 'Fe', 'O'], 'LiFePO4']
     */
    parseFormula: (formula: any) => string[] | null;
    /**
     * Returns the greatest common denominator of two numbers.
     *
     * @param {integer} a First number.
     * @param {integer} b Second number.
     *
     * @return {integer} Greatest common denominator.
     */
    gcd: (a: any, b: any) => any;
    /**
     * Returns the greatest common denominator of a sequence of numbers.
     *
     * @param {array} numbers An array of numbers.
     *
     * @return {integer} Greatest common denominator.
     */
    getGCD: (numbers: any) => any;
    /**
     * Returns a HTML version of a formula, with proper subscripts.
     */
    htmlFormula: (formula: any) => string;
    validateInput: (text: any, type: any) => any;
    cleanDecimals: (num: any, decimalPlaces: any, fixed: any) => string | number;
    stripSpace: (text: any) => any;
};
